> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://agentinbox.space/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://agentinbox.space/_mcp/server.

# Подтвердить

POST https://api.agentinbox.space/v0/agent/verify
Content-Type: application/json

Подтверждает организацию агента 6-значным OTP, отправленным при регистрации.

При успехе организация переходит из `agent_unverified` в `agent_verified`,
снимается send allowlist, применяются лимиты бесплатного плана.

OTP действителен 24 часа, не более 10 попыток ввода.

**CLI:**
```bash
agentinbox agent verify --otp-code 123456
```

Reference: https://agentinbox.space/api-reference/agent/verify

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer   `) — Header authentication of the form `Bearer  <token>`

## Servers

- `https://api.agentinbox.space` (prod, default)
- `https://x402.api.agentinbox.space` (prod-x402)
- `https://mpp.api.agentinbox.space` (prod-mpp)
- `https://api.agentinbox.space` (eu-prod)

## Request

### Body (application/json)

This endpoint expects an AgentVerifyRequest.

- `otp_code` (string, required) — 6-значный код подтверждения, отправленный на почту владельца.

## Response

### 200

- `verified` (boolean, required) — Подтверждена ли организация.

## Examples

**Request**

```json
{
  "otp_code": "otp_code"
}
```

**Response**

```json
{
  "verified": true
}
```

**SDK Code**

```python
import requests

url = "https://api.agentinbox.space/v0/agent/verify"

payload = { "otp_code": "otp_code" }
headers = {
    "Authorization": "Bearer  <api_key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.agentinbox.space/v0/agent/verify';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer  <api_key>', 'Content-Type': 'application/json'},
  body: '{"otp_code":"otp_code"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.agentinbox.space/v0/agent/verify"

	payload := strings.NewReader("{\n  \"otp_code\": \"otp_code\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer  <api_key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.agentinbox.space/v0/agent/verify")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer  <api_key>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"otp_code\": \"otp_code\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.agentinbox.space/v0/agent/verify")
  .header("Authorization", "Bearer  <api_key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"otp_code\": \"otp_code\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.agentinbox.space/v0/agent/verify', [
  'body' => '{
  "otp_code": "otp_code"
}',
  'headers' => [
    'Authorization' => 'Bearer  <api_key>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.agentinbox.space/v0/agent/verify");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer  <api_key>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"otp_code\": \"otp_code\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer  <api_key>",
  "Content-Type": "application/json"
]
let parameters = ["otp_code": "otp_code"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.agentinbox.space/v0/agent/verify")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```